@font-face {
    font-family: 'MyFont';
    src: url('fonts/MYFONT-REGULAR.woff') format('woff'),
        url('fonts/MYFONT-REGULAR.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'PopsquishFont';
    src: url('fonts/MODEMINOU.woff') format('woff'),
        url('fonts/MODEMINOU.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}


* {
    cursor: url("images/runtcursor.png"), pointer;
    -webkit-tap-highlight-color: transparent;
}

.custom-thumb {
    width: 10px;
    height: 10px;
    background-color: #4b919b;
}

html,
body {
    -ms-overflow-style: none;
    overflow-y: hidden;
}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
    display: none;
    overflow-y: hidden;
}

body {
    background-image: url('images/sparkle-bg.png');
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    background-color: rgb(243, 243, 243);

    margin: 0 auto;

    font-family: 'MyFont', Arial, Helvetica, sans-serif;
    font-size: 14px;
    color: rgb(0, 0, 0);
}

p {
    margin-top: 0;
    margin-bottom: 10px;
    font-family: 'MyFont', Arial, Helvetica, sans-serif;
}

h1 {
    margin: 0;
    font-family: 'PopsquishFont', Arial, Helvetica, sans-serif;
    font-size: 20px;
    font-weight: normal;
}

h2 {
    margin: 0;
    font-size: 28px;
    font-weight: bolder;
}

li {
    padding-top: 10px;
}

.container {
    position: sticky;
    position: fixed;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: 1000;
}

.star-card {
    z-index: 1000;
    
    -webkit-user-select: none;
    user-select: none;
}

.menu-bar {
    position: fixed;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 4px;
    bottom: 0;

    width: 100%;
    height: 30px;

    background-color: rgb(164, 189, 106);
    border-top: 2px solid rgba(255, 255, 255, 0.534);
    box-shadow: 0 -1px 2px #6a805b;
    z-index: 100;
}

.image-button {
    transition: transform .2s ease-in-out;
    image-rendering: pixelated;
}

.image-button:hover {
    animation: pulse-stretch .3s ease-in-out;
}

.image-button:active {
    transform: scale(0.60);
}

button {
    background-color: #ffffff00;
    border-radius: 10px;
    border: 2px solid #f3bfbf;
    color: #967c7c;
    margin: 5px;
        
    transition: transform .2s ease-in-out;
}

button:hover {
     background-color: #e9b9b94b;
     animation: pulse-stretch .3s ease-in-out;
}

button:active {
      transform: scale(0.90);
}


/* TOOLTIP */

#tooltip-box {
    opacity: 0;

    pointer-events: none;
    /* Crucial: clicks pass through it */
    
    transform: translate(-50%, -50%);
    /* Centers span on cursor */
    
    width: fit-content;
    position: fixed;
    padding: 5px 8px 3px 8px;
    text-align: center;
    font-weight: bold;

    background-color: rgba(255, 255, 255, 0.904);
    color: #131212;

    border-radius: 4px;
    border: 2px solid #ffc1c1ea;

    transition: opacity 0.5s;
    z-index: 1000;
}


/* STATUS BOX */
.status {
    margin: 0 auto;
    border: 2px solid #8f8f8f;
    border-radius: 8px;
    overflow: hidden;

    max-width: 30vw;
    min-width: 200px;
    max-height: 100px;
    min-height: 70px;
}

.status .header {
    font-family: 'PopsquishFont', Arial, Helvetica, sans-serif;
    background-color: rgb(195, 223, 144);
    padding: 7px 9px 3px 9px;
    text-align: center;
}

.status .content {
    background-color: #fff8f8b7;
    overflow: auto;
    padding: 10px;
    font-weight: bold;
    text-align: center;
}


/* TABS */
#homepage {
    margin-left: 20%;
    margin-right: 20%;
    background-color: #ffffff56;
    text-align: center;
}

#page {
    display: flex;
    flex-direction: column;
    height: 100dvh;
    overflow-y: auto;
    scrollbar-width: none;
    font-size: 1.5em;
    color: #505050;
    font-family: 'MyFont', Arial, Helvetica, sans-serif;
}

.tabcontent {
    box-sizing: content-box;
    padding: 60px 10px;

    justify-content: center;
    align-content: center;
}

.tabcontent .logo-header {
    animation: moveUpDown 2s ease-in-out infinite alternate;
    text-align: center;
    margin-bottom: 30px;
}

.tabcontent .logo-header p {
    font-family: 'PopsquishFont', Arial, Helvetica, sans-serif;
    color: #ffffff;
    font-size: 4vw;
    display: inline-block;
    -webkit-text-stroke: 2px #505050;
    text-shadow: 2px 2px 8px #c3c2e7;
    animation: borderFade 5s ease-in-out infinite alternate;
}

.block {
    min-width: 200px;
    max-width: 80vw;
    overflow: auto;

    margin: 20px auto;

    font-weight: bold;
    border-radius: 8px;
}


.content {
    display: flex;

    align-content: center;
    gap: 10px;
    padding: 10px 20px;
    background-color: #fff8f8b7;
}

.content img {
    width: 100%;
}

.content .content-header {
    border-radius: 8px;
    width: 100%;
    padding: 2px;
}

.content .gallery {
    display: flex;
    flex-flow: row wrap;
    gap: 5px;
}
.content .gallery .item {
    width: 50px;
}

.content .gallery .item img:active {
    position: absolute;
    top: 0;
    left: 50%;
    z-index: 9;
    height: 50%;
    width: auto
}

.art-gallery {
    column-count: 4;
    column-gap: 10px;
}

.art-gallery .item {
    display: inline-block;
    margin: 0 0 10px;

    height: fit-content;
}

.art-gallery .item img {
    width: 100%;
    display: block;
    border: 2px solid rgba(255, 255, 255, 0);
    border-radius: 10px;
}

.art-gallery .item img:hover {
    border: 2.5px solid rgb(255, 255, 255);
}

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
}

.modal .close {
    width: 100%;
    height: 100%;
    position: absolute;
}

.modal .modal-content {
    position: absolute;
    z-index: 300;
    inset: 0;
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
}

#caption {
    position: absolute;
    padding: 20px;
    bottom: 0;
    width: 100%;
    text-align: center;
    color: white;
    background-color: #0000005e;
}

#space {
    width: 100%;
    height: 90vh;
    display: flex;
    flex-flow: row wrap;
    align-content: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
}

.starCanvas {
    position: absolute;
}

.planet {
    position: relative;
    z-index: 10;
}

#icon {
    margin-left: 20%;
    margin-right: 20%;
    background-color: #ffffff56;
}

.icon-img {
    overflow:auto;
}

@media (max-width: 1300px) {
    .art-gallery {
        column-count: 3;
    }

    .tabcontent .logo-header p {
        font-size: 5vw;
    }
}

@media (max-width: 800px) {
    .art-gallery {
        column-count: 2;
    }

    .tabcontent .logo-header p {
        font-size: 8vw;
    }

    #homepage {
        margin-left: 10%;
        margin-right: 7%;
    }

    #icon {
        margin-left: 10%;
        margin-right: 7%;
    }

    .status {
        max-width: 300px;
        max-height: 100px;
    }

    .block {
        max-width: 90vw;
        margin: 15px auto;
    }

    .content {
        display: flex;

        align-content: center;
        gap: 10px;
        padding: 10px 15px;
        background-color: #fff8f8b7;
    }
}

@media (max-width: 500px) {
    .tabcontent .logo-header p {
        font-size: 9.5vw;
    }

    #homepage {
        margin-left: 2%;
        margin-right: 0;
    }

    #icon {
        margin-left: 2%;
        margin-right: 0;
    }

    .status {
        max-width: 300px;
        max-height: 100px;
    }

    .block {
        max-width: 90vw;
        margin: 15px auto;
    }

    .content {
        display: flex;

        align-content: center;
        gap: 10px;
        padding: 10px 15px;
        background-color: #fff8f8b7;
    }
}


/* SCROLLBAR */
#tape-body {
    background-image: url("images/cloud-scrollgripper.png");
    position: absolute;
    right: 4px;
    top: -8px;
    width: 43.5px;
    height: 29.5px;
    background-size: cover;
    z-index: 110;
}

#tape-measure {
    position: absolute;
    right: 12px;
    top: 0;
    height: 0;
    width: 24px;
    z-index: 109;
    background-image: url("images/waimow-scroll.png");
    background-size: 100% auto;
}

/* ANIMATION */
.bounceIn {
    animation: bounceIn 350ms linear;
}

@keyframes bounceIn {
    0% {
        transform: scale(0.5) translate3d(0, 0, 0);
    }

    50% {
        transform: scale(1.2);
    }

    80% {
        transform: scale(0.89);
    }

    100% {
        transform: scale(1) translate3d(0, 0, 0);
    }
}

@keyframes borderFade {
    0% {
        -webkit-text-stroke-color: #d17373;
    }

    20% {
        -webkit-text-stroke-color: #b8783c;
    }

    40% {
        -webkit-text-stroke-color: #779440;
    }

    60% {
        -webkit-text-stroke-color: #4b919b;
    }

    80% {
        -webkit-text-stroke-color: #5b5dbb;
    }

    100% {
        -webkit-text-stroke-color: #694c97;
    }
}

@keyframes moveUpDown {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-10px);
    }
}

@keyframes pulse-stretch {
    0% {
        transform: scale(1, 1);
    }

    50% {
        transform: scale(0.9, 1.05) translateY(-2px);

    }

    /* Stretches wide/short */
    100% {
        transform: scale(1, 1);
    }
}